{ mkDerivation, QuickCheck, base, binary, bytestring
, cryptohash-md5, cryptohash-sha1, entropy, lib, network-info
, random, tasty, tasty-hunit, tasty-quickcheck, text, time
, uuid-types
}:
mkDerivation {
  pname = "uuid";
  version = "1.3.16";
  sha256 = "1a4679cfb4ec5fcc8dd584bd4fc66f744bfd0433c775e400235058c13f720df6";
  revision = "1";
  editedCabalFile = "1sbr491gywd2862060j71r1gj1wfh8v9jgzcljx5wkbwjr7lwc8f";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    base binary bytestring cryptohash-md5 cryptohash-sha1 entropy
    network-info random text time uuid-types
  ];
  testHaskellDepends = [
    base bytestring QuickCheck random tasty tasty-hunit
    tasty-quickcheck
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/haskell-hvr/uuid";
  description = "For creating, comparing, parsing and printing Universally Unique Identifiers";
  license = lib.licenses.bsd3;
  broken = false;
}