{ mkDerivation, OneTuple, QuickCheck, base, binary, lib
, quickcheck-instances, tagged, tasty, tasty-quickcheck
}:
mkDerivation {
  pname = "binary-orphans";
  version = "1.0.5";
  sha256 = "39fbae9e8c2a5193c07afeea34173e5022f82885d6cbb32062b5f1645c44408d";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [ base binary ];
  testHaskellDepends = [
    base binary OneTuple QuickCheck quickcheck-instances tagged tasty
    tasty-quickcheck
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  description = "Compatibility package for binary; provides instances";
  license = lib.licenses.bsd3;
  broken = false;
}