{ mkDerivation, base, fetchgit, ghc, lib }:
mkDerivation {
  pname = "ghc-tcplugins-extra";
  version = "0.5";
  src = fetchgit {
    url = "https://github.com/locallycompact/ghc-tcplugins-extra";
    sha256 = "1wbhr1v8lcz1ag3a3jwsjf8vill41kycvyjwzb1v2kxrgvj7j1lp";
    rev = "6246d5728ff81a7634a7c35a1e3c8bc4c80a7ef5";
    fetchSubmodules = true;
  };
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [ base ghc ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/clash-lang/ghc-tcplugins-extra#readme";
  description = "Utilities for writing GHC type-checker plugins";
  license = lib.licenses.bsd2;
  broken = false;
}