{ mkDerivation, HUnit, QuickCheck, adjunctions, base, base-orphans
, binary, bytes, bytestring, cereal, containers, deepseq
, distributive, ghc-prim, hashable, indexed-traversable, lens, lib
, random, reflection, semigroupoids, simple-reflect, tagged
, template-haskell, test-framework, test-framework-hunit
, test-framework-quickcheck2, transformers, transformers-compat
, unordered-containers, vector, void
}:
mkDerivation {
  pname = "linear";
  version = "1.23";
  sha256 = "8d526163a5ab0aa266b52edde15280d1ea8609fdc7d3cc6d1008106c7990868f";
  revision = "1";
  editedCabalFile = "1pal83jxjdci49i7fmqyykg3aplijmg8yva673v3rr5pns1a7cfi";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    adjunctions base base-orphans binary bytes cereal containers
    deepseq distributive ghc-prim hashable indexed-traversable lens
    random reflection semigroupoids tagged template-haskell
    transformers transformers-compat unordered-containers vector void
  ];
  testHaskellDepends = [
    base binary bytestring deepseq HUnit QuickCheck reflection
    simple-reflect test-framework test-framework-hunit
    test-framework-quickcheck2 vector
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "http://github.com/ekmett/linear/";
  description = "Linear Algebra";
  license = lib.licenses.bsd3;
  broken = false;
}