{ mkDerivation, base, lib }:
mkDerivation {
  pname = "postgresql-libpq-configure";
  version = "0.11";
  sha256 = "8d4fe34b5475dd0c8339b5c05506111a10214ea18a10cd366e5440eaac95b2d8";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [ base ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = false;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/haskellari/postgresql-libpq";
  description = "low-level binding to libpq: configure based provider";
  license = lib.licenses.bsd3;
  broken = false;
}