{ mkDerivation, base, bytestring, lib, postgresql-libpq-configure
, tasty, tasty-hunit, unix
}:
mkDerivation {
  pname = "postgresql-libpq";
  version = "0.11.0.0";
  sha256 = "034ab1208fe6bb33009b3c7c75a06dfea5b306e289a013fff2e2e450d63ed2a3";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    base bytestring postgresql-libpq-configure unix
  ];
  testHaskellDepends = [ base bytestring tasty tasty-hunit ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/haskellari/postgresql-libpq";
  description = "low-level binding to libpq";
  license = lib.licenses.bsd3;
  broken = false;
}