{ mkDerivation, QuickCheck, base, bytestring, lib, tasty
, tasty-quickcheck, zlib
}:
mkDerivation {
  pname = "zlib";
  version = "0.7.1.0";
  sha256 = "6edd38b6b81df8d274952aa85affa6968ae86b2231e1d429ce8bc9083e6a55bc";
  revision = "1";
  editedCabalFile = "03r5ib477af94l3i6mdhgkil6gzg9zh92vr4cgkwar9d16kcbqds";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [ base bytestring ];
  libraryPkgconfigDepends = [ zlib ];
  testHaskellDepends = [
    base bytestring QuickCheck tasty tasty-quickcheck
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  description = "Compression and decompression in the gzip and zlib formats";
  license = lib.licenses.bsd3;
  broken = false;
}